GET api/Report/GetCumilativeTCSReport?distId={distId}&NameMonth={NameMonth}&NameYear={NameYear}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
distId

integer

Required

NameMonth

integer

Required

NameYear

integer

Required

Body Parameters

None.

Response Information

Resource Description

Collection of CumilativeTCSReport
NameDescriptionTypeAdditional information
DistributorId

integer

None.

DistributorName

string

None.

DistributorType

string

None.

DistributorCode

string

None.

InvoiceTillLastMonth

decimal number

None.

TCSTillLastMonth

decimal number

None.

InvoiceCurrentMonth

decimal number

None.

TCSCurrentMonth

decimal number

None.

InvoiceTillCurrentMonth

decimal number

None.

TCSTillCurrentMonth

decimal number

None.

NameofMonth

string

None.

NameOfYear

integer

None.

MonthID

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "distributorId": 1,
    "distributorName": "sample string 2",
    "distributorType": "sample string 3",
    "distributorCode": "sample string 4",
    "invoiceTillLastMonth": 5.0,
    "tcsTillLastMonth": 6.0,
    "invoiceCurrentMonth": 7.0,
    "tcsCurrentMonth": 8.0,
    "invoiceTillCurrentMonth": 9.0,
    "tcsTillCurrentMonth": 10.0,
    "nameofMonth": "sample string 11",
    "nameOfYear": 12,
    "monthID": 13
  },
  {
    "distributorId": 1,
    "distributorName": "sample string 2",
    "distributorType": "sample string 3",
    "distributorCode": "sample string 4",
    "invoiceTillLastMonth": 5.0,
    "tcsTillLastMonth": 6.0,
    "invoiceCurrentMonth": 7.0,
    "tcsCurrentMonth": 8.0,
    "invoiceTillCurrentMonth": 9.0,
    "tcsTillCurrentMonth": 10.0,
    "nameofMonth": "sample string 11",
    "nameOfYear": 12,
    "monthID": 13
  }
]

application/xml, text/xml

Sample:
<ArrayOfCumilativeTCSReport xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <CumilativeTCSReport>
    <DistributorCode>sample string 4</DistributorCode>
    <DistributorId>1</DistributorId>
    <DistributorName>sample string 2</DistributorName>
    <DistributorType>sample string 3</DistributorType>
    <InvoiceCurrentMonth>7</InvoiceCurrentMonth>
    <InvoiceTillCurrentMonth>9</InvoiceTillCurrentMonth>
    <InvoiceTillLastMonth>5</InvoiceTillLastMonth>
    <MonthID>13</MonthID>
    <NameOfYear>12</NameOfYear>
    <NameofMonth>sample string 11</NameofMonth>
    <TCSCurrentMonth>8</TCSCurrentMonth>
    <TCSTillCurrentMonth>10</TCSTillCurrentMonth>
    <TCSTillLastMonth>6</TCSTillLastMonth>
  </CumilativeTCSReport>
  <CumilativeTCSReport>
    <DistributorCode>sample string 4</DistributorCode>
    <DistributorId>1</DistributorId>
    <DistributorName>sample string 2</DistributorName>
    <DistributorType>sample string 3</DistributorType>
    <InvoiceCurrentMonth>7</InvoiceCurrentMonth>
    <InvoiceTillCurrentMonth>9</InvoiceTillCurrentMonth>
    <InvoiceTillLastMonth>5</InvoiceTillLastMonth>
    <MonthID>13</MonthID>
    <NameOfYear>12</NameOfYear>
    <NameofMonth>sample string 11</NameofMonth>
    <TCSCurrentMonth>8</TCSCurrentMonth>
    <TCSTillCurrentMonth>10</TCSTillCurrentMonth>
    <TCSTillLastMonth>6</TCSTillLastMonth>
  </CumilativeTCSReport>
</ArrayOfCumilativeTCSReport>